# @digitalroute/commitlint-config

[Commitlint](https://github.com/conventional-changelog/commitlint) shareable configuration for Digitalroute projects.

## Usage

Install this config and commitlint as a `devDependency`:

```bash
npm install @commitlint/cli@next @digitalroute/commitlint-config --save-dev
```

Add the following to your `package.json`:

```jsonc
{
  "commitlint": {
    "extends": "@digitalroute/commitlint-config"
  }
}
```

## Usage with husky and lint-staged

[Husky](https://www.npmjs.com/package/husky) is a tool that triggers npm-scripts based on git actions. You can use huskyto ensure that all commits are linted.

Install husky as a `devDependency`:

```bash
npm install husky --save-dev
```

Add the following to your `package.json`:

```jsonc
{
  "husky": {
    "hooks": {
      "commit-msg": "commitlint -E HUSKY_GIT_PARAMS"
    }
  }
}
```
